<?php
	function h2($text) {
		printf("<span class=\"headline\"><strong>%s</strong></span>\n", $text);
		printf("<br><br>\n");
		printf("\n");
	}

	function text($text) {
		printf("<span class=\"text\">%s<br></span><br><br>\n",$text);
	}

	function document_header($NEW_DOCUMENT_HEADER, $NEW_DOCUMENT_TITLE="") {
		global $DOCUMENT_HEADER;
		global $DOCUMENT_TITLE;
		$DOCUMENT_HEADER = $NEW_DOCUMENT_HEADER;
		$DOCUMENT_TITLE = $NEW_DOCUMENT_TITLE;
		if ($DOCUMENT_TITLE=="") $DOCUMENT_TITLE=$DOCUMENT_HEADER;
		include("header.php");
	}
	
	function article($NEW_ARTICLE_CATEGORY, $NEW_ARTICLE_HEADER, $NEW_ARTICLE_DATE, $NEW_ARTICLE_TEXT, $NEW_ARTICLE_MORE="") {
		global $ARTICLE_CATEGORY;
		global $ARTICLE_HEADER;
		global $ARTICLE_DATE;
		global $ARTICLE_TEXT;
		global $ARTICLE_MORE;
		$ARTICLE_CATEGORY = $NEW_ARTICLE_CATEGORY;
		$ARTICLE_HEADER = $NEW_ARTICLE_HEADER;
		$ARTICLE_DATE = $NEW_ARTICLE_DATE;
		$ARTICLE_TEXT = $NEW_ARTICLE_TEXT;
		$ARTICLE_MORE = $NEW_ARTICLE_MORE;
		include("article.php");
	}

	function resulttable_start() {
		printf("<table>\n");
		printf("<tr>\n");
		printf("	<td><b>Host/Share</b></td>\n");
		printf("	<td><b>Filename</b></td>\n");
		printf("	<td><b>Filesize</b></td>\n");
		printf("	<td><b>Last Modified</b></td>\n");
		printf("</tr>\n\n");
	}

	function resulttable_entry($row, $show_full = true) {
		printf("<tr>\n");
		printf("	<td>//%s/%s</td>\n", $row["host"], $row["sharename"]);

		$MAXLEN = 80;
		$fn = $row["filename"];
		if (!$show_full) {
			if (strlen($fn) > $MAXLEN) $fn = substr($fn, 0, $MAXLEN)."...";
		}

		printf("	<td>");
			printf("<a href=\"smb://%s/%s/%s\">", $row["host"], $row["sharename"], $row["filename"]);
			printf("%s", $fn);
			printf("</a></td>\n");
		printf("	<td>%s</td>\n", unify($row["filesize"]));
		printf("	<td>%s</td>\n", $row["mtime"]);
		printf("</tr>\n\n");
	}
	
	function resulttable_end() {
		printf("</table>\n\n");
	}

	function resulttable_show($result, $show_full = true) {
		require_once("unify.inc");
		resulttable_start();
		while ($row = database_next($result)) resulttable_entry($row, $show_full);
		resulttable_end();
	}

	function form_select($name, $values) {
		global $HTTP_POST_VARS;
		printf("<select name=\"%s\">\n", $name);
		foreach ($values as $value => $description) {
			printf("<option value=\"%s\"", $value);
			if (isset($HTTP_POST_VARS[$name]) && ($HTTP_POST_VARS[$name] == $value)) printf(" selected");
			printf(">%s\n", $description);
		}
		printf("</select>\n");
	}
?>
