<?php
	function unify($value) {
		$gueltige_ziffern = 3;
		$units = array(
			array("unit" => "T", "value" => 100000000000000, "divisor" => 1000000000000, "precision" => $gueltige_ziffern-3),
			array("unit" => "T", "value" => 10000000000000, "divisor" => 1000000000000, "precision" => $gueltige_ziffern-2),
			array("unit" => "T", "value" => 1000000000000, "divisor" => 1000000000000, "precision" => $gueltige_ziffern-1),
			array("unit" => "G", "value" => 100000000000, "divisor" => 1000000000, "precision" => $gueltige_ziffern-3),
			array("unit" => "G", "value" => 10000000000, "divisor" => 1000000000, "precision" => $gueltige_ziffern-2),
			array("unit" => "G", "value" => 1000000000, "divisor" => 1000000000, "precision" => $gueltige_ziffern-1),
			array("unit" => "M", "value" => 100000000, "divisor" => 1000000, "precision" => $gueltige_ziffern-3),
			array("unit" => "M", "value" => 10000000, "divisor" => 1000000, "precision" => $gueltige_ziffern-2),
			array("unit" => "M", "value" => 1000000, "divisor" => 1000000, "precision" => $gueltige_ziffern-1),
			array("unit" => "k", "value" => 100000, "divisor" => 1000, "precision" => $gueltige_ziffern-3),
			array("unit" => "k", "value" => 10000, "divisor" => 1000,  "precision" => $gueltige_ziffern-2),
			array("unit" => "k", "value" => 1000, "divisor" => 1000, "precision" => $gueltige_ziffern-1),
			array("unit" => "", "value" => 100, "divisor" => 1, "precision" => 0),
			array("unit" => "", "value" => 10, "divisor" => 1, "precision" => 0),
			array("unit" => "", "value" => 1, "divisor" => 1, "precision" => 0)
		);

		foreach ($units as $unitsize) {
			$i++;
			if ($unitsize["value"] <= $value) {
				$formatstring="%.".$unitsize["precision"]."f ".$unitsize["unit"];
				$resultat=sprintf($formatstring, $value/$unitsize["divisor"]);
				if ($negativ) $resultat = "-".$resultat;
				return $resultat;
			}
		}
		return "0 ";
	}
?>
