<?php
	include("includes.inc");
	document_header("SambaScanner Search");
?>

<?php
	require_once("database.inc");
	database_open();
?>

<form method="post" action="<?=$PHP_SELF?>">
	<table>
		<tr>
			<td>Filename contains:</td>
			<td><input type="text" size="30" name="filename_0" value="<?=$HTTP_POST_VARS["filename_0"]?>"></td>
		</tr>
<?php
	$shownext = (isset($HTTP_POST_VARS["filename_0"])) && ($HTTP_POST_VARS["filename_0"] != "");
	for ($i = 1; $i < 10; $i++) {
		$field = "filename_".$i;
		if (isset($HTTP_POST_VARS[$field])) {
			printf("<tr>\n");
			printf("<td>...and contains:</td>\n");
			printf("<td><input type=\"text\" size=\"30\" name=\"filename_%d\" value=\"%s\"></td>\n", $i, $HTTP_POST_VARS[$field]);
			printf("</tr>\n");
			$shownext = $shownext && ((isset($HTTP_POST_VARS[$field])) && ($HTTP_POST_VARS[$field] != ""));
		} else {
			break;
		}
	}
	$shownext = $shownext && ($i != 10);
	if ($shownext) {
		printf("<tr>\n");
		printf("<td>...and this string:</td>\n");
		printf("<td><input type=\"text\" size=\"30\" name=\"filename_%d\"></td>\n", $i);
		printf("</tr>\n");
	}
?>
		<tr>
			<td>Filename ends in:</td>
			<td><input type="text" size="30" name="filename_end" value="<?=$HTTP_POST_VARS["filename_end"]?>"></td>
		</tr>
		<tr>
			<td>Only in host:</td>
			<td>
				<?php
					$result = database_query("SELECT host FROM files GROUP BY host;");
					$values = array("0" => "All");
					while ($row = database_next($result)) $values[$row["host"]] = $row["host"];
					form_select("hostname", $values);
				?>
			</td>
		</tr>
<?php
	if ((isset($HTTP_POST_VARS["hostname"])) && ($HTTP_POST_VARS["hostname"] != "0")) {
		printf("<input type=\"hidden\" name=\"hostshare\" value=\"%s\">\n", $HTTP_POST_VARS["hostname"]);
		print("<tr><td>Only in share:</td>\n");
		printf("<td>\n");

		$result = database_query("SELECT sharename FROM files WHERE host = '".$HTTP_POST_VARS["hostname"]."' GROUP BY sharename;");
		$values = array("0" => "All");
		while ($row = database_next($result)) $values[$row["sharename"]] = $row["sharename"];
		form_select("sharename", $values);
		print("</td></tr>\n");
	}
?>
		<tr>
			<td>Minimal size (bytes):</td>
			<td><input type="text" size="10" name="minsize" value="<?=$HTTP_POST_VARS["minsize"]?>"></td>
		</tr>
		<tr>
			<td>Maximal size (bytes):</td>
			<td><input type="text" size="10" name="maxsize" value="<?=$HTTP_POST_VARS["maxsize"]?>"></td>
		</tr>
		<tr>
			<td>Limit output to n results:</td>
			<td><input type="text" size="5" name="limit" value="<?php if (!isset($HTTP_POST_VARS["limit"])) printf("100"); else printf("%s", $HTTP_POST_VARS["limit"]); ?>"></td>
		</tr>
		<tr>
			<td>Order by:</td>
			<td>
<?php
				if (!isset($HTTP_POST_VARS["order"])) $HTTP_POST_VARS["order"] = "filename";
				$values = array("none" => "No order",
								"host,sharename" => "Host/Share",
								"filename" => "Filename",
								"filesize" => "Filesize",
								"mtime" => "Modification Time"
							);
				form_select("order", $values);
?>
			</td>
		</tr>
		<tr>
			<td>Ascending?</td>
			<td><input type="checkbox" name="asc" value="1"<?php if ((!isset($HTTP_POST_VARS["submitted"])) || ($HTTP_POST_VARS["asc"] == "1")) printf(" checked"); ?>></td>
		</tr>
		<tr>
			<td>Show SQL-Query:</td>
			<td><input type="checkbox" name="showquery" value="1"<?php if ($HTTP_POST_VARS["showquery"] == "1") printf(" checked"); ?>></td>
		</tr>
		<tr>
			<td>Show full filenames:</td>
			<td><input type="checkbox" name="fullnames" value="1"<?php if ($HTTP_POST_VARS["fullnames"] == "1") printf(" checked"); ?>></td>
		</tr>
		<tr>
			<td>Submit query:</td>
			<td><input type="hidden" name="submitted" value="1"><input type="submit" value="Query"></td>
		</tr>
	</table>
</form>

<?php
	if (isset($HTTP_POST_VARS["submitted"])) {
		printf("<br /><hr />\n");
		$query = "SELECT * FROM files WHERE (1 = 1)";

		for ($i = 0; $i < 10; $i++) {
			$field = "filename_".$i;
			if (isset($HTTP_POST_VARS[$field]) && ($HTTP_POST_VARS[$field] != "")) {
				$query .= " AND (filename ILIKE '%".$HTTP_POST_VARS[$field]."%')";
			}
		}
		if (isset($HTTP_POST_VARS["filename_end"]) && ($HTTP_POST_VARS["filename_end"] != "0")) $query .= " AND (filename ILIKE '%".$HTTP_POST_VARS["filename_end"]."')";
		
		if (isset($HTTP_POST_VARS["hostname"]) && ($HTTP_POST_VARS["hostname"] != "0")) $query .= " AND (host = '".$HTTP_POST_VARS["hostname"]."')";
		if (isset($HTTP_POST_VARS["sharename"]) && ($HTTP_POST_VARS["sharename"] != "0") && ($HTTP_POST_VARS["hostshare"] == $HTTP_POST_VARS["hostname"])) $query .= " AND (sharename = '".$HTTP_POST_VARS["sharename"]."')";
		if (isset($HTTP_POST_VARS["minsize"]) && ($HTTP_POST_VARS["minsize"] != 0)) $query .= " AND (filesize >= ".$HTTP_POST_VARS["minsize"].")";
		if (isset($HTTP_POST_VARS["maxsize"]) && ($HTTP_POST_VARS["maxsize"] != 0)) $query .= " AND (filesize <= ".$HTTP_POST_VARS["maxsize"].")";

		if (isset($HTTP_POST_VARS["order"]) && ($HTTP_POST_VARS["order"] != "none")) {
			$query .= " ORDER BY ".$HTTP_POST_VARS["order"]." ";
			if ($HTTP_POST_VARS["asc"] == "1") $query .= "ASC";
				else $query .= "DESC";
		}
		
		if (isset($HTTP_POST_VARS["limit"]) && ($HTTP_POST_VARS["limit"] != 0)) $query .= " LIMIT ".$HTTP_POST_VARS["limit"];

		$query .= ";";
		if ($HTTP_POST_VARS["showquery"] == "1") {
			printf("<b>SQL Query:</b> %s<br /><br />\n", $query);
			printf("<hr /><br />\n");
		}

		$result = database_query($query);
		printf("Number of results: %d<br /><br />\n", database_ressize($result));
		resulttable_show($result, $HTTP_POST_VARS["fullnames"] == 1);
	}
?>

<?php
	database_close();
?>

<?	
	include("footer.php");
?>
